Subject: Re: bug#32413: 25.2; When run as root, emacs writes dconf files in a non-root user's /run/user/XXX directory

From: Noam Postavsky <[email-masked]>
Date: Sun, 12 Aug 2018 13:28:18 -0400

Eli Zaretskii <[email-masked]> writes:

>> Does it help if you ./configure --without-gsettings?

>> (maybe it should default to off, I'm not sure what gsettings is actually
>> good for apart from causing bugs, e.g., #25228)
>
> I might agree, but then won't too many users be annoyed by Emacs not
> following desktop-wide customizations?

Hmm, yeah, we would need at least some feedback from users who actually
use a full desktop environment (GNOME, I guess?) before changing this.
For myself, I just run a simple window manager, so the concept of
"desktop-wide customization" is fairly meaningless on my system.